;Test de niveaux de gris par Marc Plouhinec
;Ce logiciel est un exemple pour les programmeurs de SNG


#include "s19006.inc"
 .ORG START_ADDR
 .DB "Test des niveaux de gris",0

 CALL CLR_BUF          ;Efface l'cran
 CALL GRAYSCALE_ON     ;Met en marche les niveaux de gris

 LD HL,PLANE_0         ;----
 LD DE,PLANE_0+1       ;    I
 LD (HL),$FF           ;    I
 LD BC,191             ;    I
 LDIR                  ;    ITrace un rectange dans le plan 0 et dans le plan 1
                       ;    ICe rectangle est donc noir.
 LD HL,PLANE_1         ;    I
 LD DE,PLANE_1+1       ;    I
 LD (HL),$FF           ;    I
 LD BC,191             ;    I
 LDIR                  ;----

 LD HL,PLANE_1+192     ;
 LD DE,PLANE_1+193     ;Trace un rectangle dans le plan 1
 LD (HL),$FF           ;Ce rectangle est donc gris fonc.
 LD BC,191             ;
 LDIR                  ;

 LD HL,PLANE_0+192+192 ;
 LD DE,PLANE_0+192+193 ;Trace un rectangle dans le plan 0
 LD (HL),$FF           ;Ce rectangle est donc gris clair.
 LD BC,191             ;
 LDIR                  ;

;Attend l'appuie d'une touche
attend_touche:
 ld a,%11111101
 out (1),a
 in a,(1)
 and %01000000
 JR NZ,attend_touche

 CALL GRAYSCALE_OFF    ;Revient au mode d'affichage normal

 RET                   ;Quitte

.end
END